name: binary
version: 0.7.5.0
id: binary-0.7.5.0-5784fd031a720c3b84e73006e444c7ca
key: binar_3uXFWMoAGBg0xKP9MHKRwi
license: BSD3
maintainer: Lennart Kolmodin, Don Stewart <dons00@gmail.com>
stability: provisional
homepage: https://github.com/kolmodin/binary
synopsis: Binary serialisation for Haskell values using lazy ByteStrings
description:
    Efficient, pure binary serialisation using lazy ByteStrings.
    Haskell values may be encoded to and from binary formats,
    written to disk as binary, or sent over the network.
    The format used can be automatically generated, or
    you can choose to implement a custom format if needed.
    Serialisation speeds of over 1 G\/sec have been observed,
    so this library should be suitable for high performance
    scenarios.
category: Data, Parsing
author: Lennart Kolmodin <kolmodin@gmail.com>
exposed: True
exposed-modules:
    Data.Binary Data.Binary.Put Data.Binary.Get
    Data.Binary.Get.Internal Data.Binary.Builder
    Data.Binary.Builder.Internal
hidden-modules: Data.Binary.Builder.Base Data.Binary.Class
                Data.Binary.Generic
trusted: False
import-dirs: /usr/lib/ghc-7.10.3/binar_3uXFWMoAGBg0xKP9MHKRwi
library-dirs: /usr/lib/ghc-7.10.3/binar_3uXFWMoAGBg0xKP9MHKRwi
data-dir: /usr/share/x86_64-linux-ghc-7.10.3/binary-0.7.5.0
hs-libraries: HSbinary-0.7.5.0-3uXFWMoAGBg0xKP9MHKRwi
depends:
    array-0.5.1.0-960bf9ae8875cc30355e086f8853a049
    base-4.8.2.0-0d6d1084fbc041e1cded9228e80e264d
    bytestring-0.10.6.0-c60f4c543b22c7f7293a06ae48820437
    containers-0.5.6.2-e59c9b78d840fa743d4169d4bea15592
haddock-interfaces: /usr/share/doc/ghc/html/libraries/binary-0.7.5.0/binary.haddock
haddock-html: /usr/share/doc/ghc/html/libraries/binary-0.7.5.0
